Dict.h File Reference

Defines the Dict class. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include <boost/any.hpp>`
`#include <RDGeneral/Exceptions.h>`
`#include <boost/lexical_cast.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::Dict
| The `Dict` class can be used to store objects of arbitrary type keyed by `strings`. More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Typedefs

typedef std::vector< std::string > | RDKit::STR_VECT

## Detailed Description

Defines the Dict class.

Definition in file Dict.h.